/****************************************************************************************


		COMImagesUtilities.h

		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Nicolas
		Date:	12/31/98

		Revision History

		when		who			what & why
		==========	==========	======================================================
		10/04/99	Nba			Added DoEMMS
		07/07/99	Nba			Added image utilities
		07/06/99	cph			removed gShFileIO gShFileIO and gShLayerUtilities
		01/21/99	Nba			Added layer utilities

*****************************************************************************************/

	
#ifndef __COMImagesUtilities_H_
#define __COMImagesUtilities_H_

#if CP_PRAGMA_ONCE
#pragma once
#endif

struct IShRasterLayerUtilities;
struct IShColorConversionUtilities;
struct IShImageUtilities;
struct IShPixelBucketUtilities;
struct IMCUnknown;

extern IShRasterLayerUtilities*		gRasterLayerUtilities;
extern IShColorConversionUtilities*	gColorConversionUtilities;
extern IShImageUtilities*			gImageUtilities;
extern IShPixelBucketUtilities*		gPixelBucketUtilities;

#if defined(ARCH_X86) && !defined(MAC)
extern boolean gMMX;
inline void DoEMMS() { if (gMMX) _asm emms }
#else
#define DoEMMS()
#endif


void   InitImagesUtilities(IMCUnknown* utilities);
void   CleanupImagesUtilities();

#endif